﻿@{
    Layout = null;
}

<form name="EmailCampaignSomePeopleStep1" novalidate ng-submit="SaveStep1()">
    <div class="view-container">
        <div class="title-bar">
            <div class="back">
                <a class="action" ui-sref='EmailCampaigns'>
                    <i class="icon-arrow-left fg-black"></i>
                </a>
            </div>
            <div class="title">
                <h1>
                    Recipients
                </h1>
            </div>
            <div class="actions">
            </div>
            <div class="clearfix"></div>
            <hr />
        </div>
        <nav class="step-navigator campaign breadcrumbs">
            <ul>
                @*  CLASSES = done , active , last *@
                <li class="active"><a>Recipients</a></li>
                <li><a>Content</a></li>
                <li class="last"><a>Scheduling</a></li>
                <li class="last"><a>Preview</a></li>
                <!-- DO NOT DELETE THIS -->
                @*<li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>
                <li style="visibility: hidden; height: 0px;"><a href="#">DO NOT DELETE THIS</a></li>*@
                <!-- / DO NOT DELETE THIS -->
            </ul>
        </nav>
        <div>

        </div>
        @*<div style="display:table-row">
            <div style="display:table-cell;text-align:right;font-size:16px">
                <label class="req-star">Campaign name</label>
            </div>
            <div style="display:table-cell">
                <div style="display:inline-block;position:relative">
                    <i class="jbi-info on-left-more info-icongray"></i>
                    <div class="box-msg">
                        Enter a name to help you remember what this campaign is all about. Only you will see the campaign name. Your contacts will not see.
                    </div>
                </div>
            </div>
        </div>*@
        <label class="req-star">Campaign name</label>
        <div class="input-control text" data-role="input-control" @Html.AngValidationClass("CampaignName")>
            <input ng-model="Model.CampaignName" type="text" @Html.AngTooltipValidation("CampaignName")>
            @*<button type="button" class="btn-clear" type="button"></button>*@
        </div>
        <span class="message">Enter a name to help you remember what this campaign is all about. Only you will see the campaign name. Your contacts will not see.</span>

        <fieldset>
            <legend>Seasons and Programs</legend>
            <span class="message">You can specify which seasons or programs you want to send the campaign for.</span>
            <label>Seasons</label>

            <div class="input-control radio">
                <div class="input-control radio default-style place-left no-margin padding-right20" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.SomePeople.IsAllSeasons" name="isallseasons" ng-value="true" type="radio" ng-change="multiSeason(1);updateChosenScope()" />
                        <span class="check"></span>
                        All seasons
                    </label>
                </div>

                <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control">
                    <label class="block">
                        <input ng-model="Model.SomePeople.IsAllSeasons" name="isallseasons" ng-value="false" type="radio" ng-change="multiSeason(0);updateChosenScope()" />
                        <span class="check"></span>
                        Selected season
                    </label>
                </div>
            </div>

            <div class="input-control choosen" data-role="input-control" ng-hide="Model.SomePeople.IsAllSeasons" @Html.AngValidationClass("SomePeople.Seasons")>
                <div @Html.AngTooltipValidation("SomePeople.Seasons")>
                    <select chosen multiple
                            ng-model="Model.SomePeople.Seasons"
                            ng-options="obj.Value as obj.Text for obj in Model.SomePeople.SeasonsList" ng-change="multiSeason(0)"></select>
                </div>
            </div>

            <div class="clearfix" />

            
                <div class="input-control radio">
                    <div class="input-control radio default-style place-left no-margin padding-right20" data-role="input-control">
                        <label class="block">
                            <input ng-model="Model.SomePeople.IsAllPrograms" name="isallprograms" ng-value="true" type="radio" ng-change="updateChosenScope()" />
                            <span class="check"></span>
                            All programs
                        </label>
                    </div>
                    
                        <div class="input-control radio default-style place-left no-margin padding-left20" data-role="input-control" ng-hide="isMultiSeason">
                            <label class="block">
                                <input ng-model="Model.SomePeople.IsAllPrograms" name="isallprograms" ng-value="false" type="radio" ng-change="updateChosenScope()" />
                                <span class="check"></span>
                                Selected program
                            </label>
                        </div>
            </div>
                <div class="input-control choosen" data-role="input-control" ng-hide="Model.SomePeople.IsAllPrograms" @Html.AngValidationClass("SomePeople.Programs")>
                    <div @Html.AngTooltipValidation("SomePeople.Programs")>
                        <select chosen multiple
                                ng-model="Model.SomePeople.Programs"
                                ng-options="obj.Value as obj.Text for obj in getProgramsList()"></select>
                    </div>
                </div>
   

        </fieldset>

        <fieldset>
            <legend>Registration date</legend>
            <span class="message">You can limit the number of recipients by providing the period they placed their orders.</span>
            <div class="place-left one-half padding-right20">
                <div class="input-control choosen" data-role="input-control">
                    <div class="input-control choosen" data-role="input-control">
                        <select chosen
                                ng-model="Model.SomePeople.DateOption"
                                ng-options="obj.Value as obj.Text for obj in Model.SomePeople.DateOptionList"></select>
                    </div>
                </div>
            </div>
            <div class="place-left one-half" ng-show="Model.SomePeople.DateOption == 'Custom'">
                <div class="place-left one-half padding-right20">
                    <div class="input-control date-time" @Html.AngValidationClass("SomePeople.CustomDateStart")>
                        <div @Html.AngTooltipValidation("SomePeople.CustomDateStart")>
                            <input kendo-date-picker k-options="MC.datePickerOptions" placeholder="From" ng-model="Model.SomePeople.CustomDateStart" />
                        </div>
                    </div>
                </div>
                <div class="place-left one-half">
                    <div class="input-control date-time" @Html.AngValidationClass("SomePeople.CustomDateEnd")>
                        <div @Html.AngTooltipValidation("SomePeople.CustomDateEnd")>
                            <input kendo-date-picker k-options="MC.datePickerOptions" placeholder="to" ng-model="Model.SomePeople.CustomDateEnd" />
                        </div>
                    </div>
                </div>
            </div>
        </fieldset>

        <fieldset>
            <legend>Participant</legend>
            <span class="message">You can specify the age and/or genders of recipients.</span>

            @*<div class="input-control text" data-role="input-control" @Html.AngValidationClass("SomePeople.Age_In")>
                    <input type="text" style="width: 40px;" ng-model="Model.SomePeople.Age_In" @Html.AngTooltipValidation("SomePeople.Age_In") />
                </div>

                to
                <div class="input-control text" data-role="input-control" @Html.AngValidationClass("SomePeople.Age_To")>
                    <input type="text" style="width: 40px;" ng-model="Model.SomePeople.Age_To" @Html.AngTooltipValidation("SomePeople.Age_To") />
                </div>*@

            <div class="place-left one-half padding-right20">
                <label>Min age</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SomePeople.MinAge")>
                    <div @Html.AngTooltipValidation("SomePeople.MinAge")>
                        <select ng-model="Model.SomePeople.MinAge" ng-options="obj.Value as obj.Text for obj in Model.SomePeople.AgesList"></select>
                    </div>
                </div>
            </div>
            <div class="place-left one-half">
                <label>Max age</label>
                <div class="input-control select" data-role="input-control" @Html.AngValidationClass("SomePeople.MaxAge")>
                    <div @Html.AngTooltipValidation("SomePeople.MaxAge")>
                        <select ng-model="Model.SomePeople.MaxAge" ng-options="obj.Value as obj.Text for obj in Model.SomePeople.AgesList"></select>
                    </div>
                </div>
            </div>


            <div class="clearfix"></div>
            <label>Gender</label>
            <div class="place-left one-third">
                <div class="input-control radio" data-role="input-control">
                    <label>
                        <input ng-model="Model.SomePeople.Gender" name="gender" type="radio" value="All">
                        <span class="check"></span>
                        All
                    </label>
                </div>
            </div>
            <div class="place-left one-third">
                <div class="input-control radio" data-role="input-control">
                    <label>
                        <input ng-model="Model.SomePeople.Gender" name="gender" value="Male" type="radio">
                        <span class="check"></span>
                        Male
                    </label>
                </div>
            </div>
            <div class="place-left one-third">
                <div class="input-control radio" data-role="input-control">
                    <label>
                        <input ng-model="Model.SomePeople.Gender" name="gender" value="Female" type="radio">
                        <span class="check"></span>
                        Female
                    </label>
                </div>
            </div>
            <div class="clearfix"></div>
            <label>Status</label>
            <div class="place-left one-third">
                <div class="input-control radio" data-role="input-control">
                    <label>
                        <input ng-model="Model.SomePeople.Graduate" name="graduate" type="radio" value="All">
                        <span class="check"></span>
                        All
                    </label>
                </div>
            </div>
            <div class="place-left one-third">
                <div class="input-control radio" data-role="input-control">
                    <label>
                        <input ng-model="Model.SomePeople.Graduate" name="graduate" value="Graduateds" type="radio">
                        <span class="check"></span>
                        Graduate
                    </label>
                </div>
            </div>
            <div class="place-left one-third">
                <div class="input-control radio" data-role="input-control">
                    <label>
                        <input ng-model="Model.SomePeople.Graduate" name="graduate" value="NotGraduateds" type="radio">
                        <span class="check"></span>
                        Not graduate
                    </label>
                </div>
            </div>
        </fieldset>

        @*<fieldset>
                <legend class="req-star">Attendee finance</legend>
                <span class="message">Lorem ipsum dolor sit amet, consectetuer adipiscing elit. Aenean commodo ligula eget dolor.</span>
                <div class="input-control checkbox" data-role="input-control">
                    <label>
                        <input type="checkbox">
                        <span class="check"></span>
                        Attendees with a balance
                    </label>
                </div>
            </fieldset>*@
        <hr />

        <button type="submit" class="success large place-right button">Save & continue</button>
        <div class="clearfix"></div>
    </div>
</form>
